Index: code/branches/presentation2/src/libraries/core/ConfigValueIncludes.h
===================================================================
--- code/branches/presentation2/src/libraries/core/ConfigValueIncludes.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/ConfigValueIncludes.h	(revision 6388)
@@ -174,5 +174,5 @@
 */
 #define ModifyConfigValue(varname, modifier, ...) \
-    ModifyConfigValueGeneric(this, &varname, #varname, modifier, __VA_ARGS__) 
+    ModifyConfigValueGeneric(this, &varname, #varname, modifier, __VA_ARGS__)
 
 #endif /* _ConfigValueIncludes_H__ */
Index: code/branches/presentation2/src/libraries/core/EventIncludes.h
===================================================================
--- code/branches/presentation2/src/libraries/core/EventIncludes.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/EventIncludes.h	(revision 6388)
@@ -82,5 +82,5 @@
 /**
     @brief This macro is needed to fire an event with this name. The event name must previously be declared with @ref CreateEventName.
-*/    
+*/
 #define FireEventName(classname, name) \
     eventname##classname##name
Index: code/branches/presentation2/src/libraries/core/GUIManager.h
===================================================================
--- code/branches/presentation2/src/libraries/core/GUIManager.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/GUIManager.h	(revision 6388)
@@ -67,5 +67,5 @@
         ~GUIManager();
 
-        void preUpdate(const Clock& time); 
+        void preUpdate(const Clock& time);
 
         static void showGUI(const std::string& name, bool hidePrevious=false, bool showCursor=true);
Index: code/branches/presentation2/src/libraries/core/MemoryArchive.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/MemoryArchive.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/MemoryArchive.cc	(revision 6388)
@@ -64,5 +64,5 @@
     }
 
-    void MemoryArchive::findFiles(const String& pattern, bool bRecursive, 
+    void MemoryArchive::findFiles(const String& pattern, bool bRecursive,
         bool bDirs, StringVector* simpleList, FileInfoList* detailList)
     {
@@ -118,5 +118,5 @@
     }
 
-    FileInfoListPtr MemoryArchive::findFileInfo(const String& pattern, 
+    FileInfoListPtr MemoryArchive::findFileInfo(const String& pattern,
         bool recursive, bool dirs)
     {
Index: code/branches/presentation2/src/libraries/core/MemoryArchive.h
===================================================================
--- code/branches/presentation2/src/libraries/core/MemoryArchive.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/MemoryArchive.h	(revision 6388)
@@ -79,5 +79,5 @@
 
     private:
-        void findFiles(const Ogre::String& pattern, bool bRecursive, 
+        void findFiles(const Ogre::String& pattern, bool bRecursive,
             bool bDirs, Ogre::StringVector* simpleList, Ogre::FileInfoList* detailList);
 
Index: code/branches/presentation2/src/libraries/core/Resource.h
===================================================================
--- code/branches/presentation2/src/libraries/core/Resource.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/Resource.h	(revision 6388)
@@ -73,8 +73,8 @@
             must provide a fully qualified name to this method.
         @param groupName
-            The name of the resource group; this determines which 
-            locations are searched. 
+            The name of the resource group; this determines which
+            locations are searched.
         @param searchGroupsIfNotFound
-            If true, if the resource is not found in 
+            If true, if the resource is not found in
             the group specified, other groups will be searched.
         @return
@@ -96,5 +96,5 @@
         @brief
             Open all resources matching a given pattern (which can contain
-            the character '*' as a wildcard), and return a collection of 
+            the character '*' as a wildcard), and return a collection of
             DataStream objects on them.
         @param pattern
@@ -112,5 +112,5 @@
 
         /**
-            Find out if the named file exists in a group. 
+            Find out if the named file exists in a group.
         @param filename
             Fully qualified name of the file to test for
Index: code/branches/presentation2/src/libraries/core/input/InputCommands.h
===================================================================
--- code/branches/presentation2/src/libraries/core/input/InputCommands.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/input/InputCommands.h	(revision 6388)
@@ -71,5 +71,5 @@
     @brief
         Executes a simple command with no additional paramters.
-    @return 
+    @return
         True if command execution was successful, false otherwise.
     */
Index: code/branches/presentation2/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/input/InputManager.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/input/InputManager.cc	(revision 6388)
@@ -508,5 +508,5 @@
         if (mouseStates.empty())
             requestedMode = MouseMode::Nonexclusive;
-        else 
+        else
             requestedMode = mouseStates.front()->getMouseMode();
         if (requestedMode != MouseMode::Dontcare && mouseMode_ != requestedMode)
@@ -554,5 +554,5 @@
     }
 
-    //! Gets called by WindowEventListener upon focus change --> clear buffers 
+    //! Gets called by WindowEventListener upon focus change --> clear buffers
     void InputManager::windowFocusChanged()
     {
Index: code/branches/presentation2/src/libraries/core/input/JoyStickQuantityListener.h
===================================================================
--- code/branches/presentation2/src/libraries/core/input/JoyStickQuantityListener.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/input/JoyStickQuantityListener.h	(revision 6388)
@@ -29,5 +29,5 @@
 /**
 @file
-@brief 
+@brief
 */
 
Index: code/branches/presentation2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/input/KeyBinder.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/core/input/KeyBinder.cc	(revision 6388)
@@ -285,5 +285,5 @@
 
      void KeyBinder::addButtonToCommand(std::string command, Button* button)
-     {  
+     {
         std::ostringstream stream;
         stream << button->groupName_  << "." << button->name_;
Index: code/branches/presentation2/src/libraries/network/ClientConnection.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnection.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/ClientConnection.cc	(revision 6388)
@@ -148,5 +148,5 @@
 
   uint32_t ClientConnection::getRTT()
-  { 
+  {
     assert(server_);
     return server_->roundTripTime;
Index: code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc	(revision 6388)
@@ -36,6 +36,6 @@
 {
     ClientConnectionListener::ClientConnectionListener()
-    { 
-        RegisterRootObject(ClientConnectionListener); 
+    {
+        RegisterRootObject(ClientConnectionListener);
     }
 
Index: code/branches/presentation2/src/libraries/network/FunctionCallManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/FunctionCallManager.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/FunctionCallManager.cc	(revision 6388)
@@ -37,55 +37,55 @@
 
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallStatic(functionID);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager:: clientMap_[clientID]->addCallStatic(functionID, &mt1);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager:: clientMap_[clientID]->addCallStatic(functionID, &mt1, &mt2);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager:: clientMap_[clientID]->addCallStatic(functionID, &mt1, &mt2, &mt3);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager:: clientMap_[clientID]->addCallStatic(functionID, &mt1, &mt2, &mt3, &mt4);
 }
 void FunctionCallManager::addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
-{  
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager:: clientMap_[clientID]->addCallStatic(functionID, &mt1, &mt2, &mt3, &mt4, &mt5);
 }
@@ -95,55 +95,55 @@
 
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID);
 }
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID, &mt1);
 }
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID, &mt1, &mt2);
 }
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID, &mt1, &mt2, &mt3);
 }
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID, &mt1, &mt2, &mt3, &mt4);
 }
 void FunctionCallManager::addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
-{ 
-  if(clientMap_.find(clientID)==clientMap_.end()) 
+{
+  if(clientMap_.find(clientID)==clientMap_.end())
   {
-    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls; 
-    FunctionCallManager::clientMap_[clientID]->setClientID(clientID); 
-  } 
+    FunctionCallManager::clientMap_[clientID] = new packet::FunctionCalls;
+    FunctionCallManager::clientMap_[clientID]->setClientID(clientID);
+  }
   FunctionCallManager::clientMap_[clientID]->addCallMember(functionID, objectID, &mt1, &mt2, &mt3, &mt4, &mt5);
 }
Index: code/branches/presentation2/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6388)
@@ -159,5 +159,5 @@
       clientGamestates.push(0);
       finishGamestate( cid, &clientGamestates.back(), client, reference );
-      //FunctorMember<GamestateManager>* functor = 
+      //FunctorMember<GamestateManager>* functor =
 //       ExecutorMember<GamestateManager>* executor = createExecutor( createFunctor(&GamestateManager::finishGamestate, this) );
 //       executor->setDefaultValues( cid, &clientGamestates.back(), client, reference );
Index: code/branches/presentation2/src/libraries/network/NetworkFunction.h
===================================================================
--- code/branches/presentation2/src/libraries/network/NetworkFunction.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/NetworkFunction.h	(revision 6388)
@@ -83,5 +83,5 @@
     {
         std::map<std::string, NetworkFunctionBase*>& map = NetworkFunctionBase::getNameMap();
-        assert( map.find(name)!=map.end() ); 
+        assert( map.find(name)!=map.end() );
         map[name]->setNetworkID(id);
     }
@@ -139,5 +139,5 @@
     static NetworkMemberFunctionBase* getFunction( const NetworkFunctionPointer& p ){ assert( functorMap_.find(p) != functorMap_.end() ); return functorMap_[p]; }
 
-    // 
+    //
     virtual void call(uint32_t objectID)=0;
     virtual void call(uint32_t objectID, const MultiType& mt1)=0;
@@ -159,30 +159,30 @@
 
     inline void call(uint32_t objectID)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)));
     }
     inline void call(uint32_t objectID, const MultiType& mt1)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1);
     }
     inline void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2);
     }
     inline void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3);
     }
     inline void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3, mt4);
     }
     inline void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
-    { 
+    {
       if ( Synchronisable::getSynchronisable(objectID)!=0 )
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3, mt4, mt5);
Index: code/branches/presentation2/src/libraries/network/Server.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/Server.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/Server.cc	(revision 6388)
@@ -162,5 +162,5 @@
 
   /**
-   * @brief: returns ping time to client in milliseconds 
+   * @brief: returns ping time to client in milliseconds
    */
   unsigned int Server::getRTT(unsigned int clientID){
Index: code/branches/presentation2/src/libraries/network/TrafficControl.h
===================================================================
--- code/branches/presentation2/src/libraries/network/TrafficControl.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/TrafficControl.h	(revision 6388)
@@ -105,5 +105,5 @@
     *evaluates Data given (list) and produces result(->Data to be updated)
     */
-    void evaluateList(unsigned int clientID, std::list<obj>& list);//done    
+    void evaluateList(unsigned int clientID, std::list<obj>& list);//done
     void ack(unsigned int clientID, unsigned int gamestateID);  // this function gets called when the server receives an ack from the client
 
@@ -121,5 +121,5 @@
     /**
     *is being used by GSManager from Server:
-    *list contains: ObjIds, CreatorIds, Size (in this order) from Client XY 
+    *list contains: ObjIds, CreatorIds, Size (in this order) from Client XY
     *Elements of list are accessed by *list[i]
     *Elements of struct i are therefore: *list[i].objID
Index: code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6388)
@@ -48,5 +48,5 @@
 FunctionIDs::FunctionIDs( ) : Packet(){
   std::string functionname;
-  unsigned int nrOfFunctions=0; 
+  unsigned int nrOfFunctions=0;
   unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nroffunctions
   uint32_t networkID;
Index: code/branches/presentation2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6388)
@@ -437,6 +437,6 @@
 //   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
 //   uint8_t *dest = ndata + GamestateHeader::getSize();
-//   
-//   
+//
+//
 //   // LOOP-UNROLLED DIFFING
 //   uint32_t *dest32 = (uint32_t*)dest, *base32 = (uint32_t*)basep, *gs32 = (uint32_t*)gs;
@@ -465,5 +465,5 @@
 //     }
 //   }
-// 
+//
 //   Gamestate *g = new Gamestate(ndata, getClientID());
 //   *(g->header_) = *header_;
Index: code/branches/presentation2/src/libraries/network/packet/Packet.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Packet.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/packet/Packet.cc	(revision 6388)
@@ -102,5 +102,5 @@
     Destroys a packet completely.
 
-    That also means destroying the ENetPacket if one exists. There 
+    That also means destroying the ENetPacket if one exists. There
 */
 Packet::~Packet(){
Index: code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc	(revision 6388)
@@ -36,6 +36,6 @@
 
   void NetworkCallbackManager::registerCallback(NetworkCallbackBase *cb)
-  { 
-    callbackSet_.insert(cb); 
+  {
+    callbackSet_.insert(cb);
   }
   void NetworkCallbackManager::deleteCallback(NetworkCallbackBase *cb)
Index: code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h	(revision 6388)
@@ -66,6 +66,6 @@
 
   /**
-   * @brief: stores information about a Synchronisable 
-   * 
+   * @brief: stores information about a Synchronisable
+   *
    * This class stores the information about a Synchronisable (objectID_, classID_, creatorID_, dataSize)
    * in an emulated bitset.
Index: code/branches/presentation2/src/libraries/util/Serialise.h
===================================================================
--- code/branches/presentation2/src/libraries/util/Serialise.h	(revision 6387)
+++ code/branches/presentation2/src/libraries/util/Serialise.h	(revision 6388)
@@ -616,5 +616,5 @@
     template <> inline uint32_t returnSize( const mbool& variable )
     {
-        return returnSize( (unsigned char&)((mbool&)variable).getMemory() ); 
+        return returnSize( (unsigned char&)((mbool&)variable).getMemory() );
     }
 
Index: code/branches/presentation2/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 6388)
@@ -66,6 +66,6 @@
         XMLPortParam(BoxCollisionShape, "halfExtents",  setHalfExtents,  getHalfExtents,  xmlelement, mode);
         XMLPortParamLoadOnly(BoxCollisionShape, "width",  setWidth,  xmlelement, mode);
-        XMLPortParamLoadOnly(BoxCollisionShape, "height", setHeight, xmlelement, mode);    
-        XMLPortParamLoadOnly(BoxCollisionShape, "length", setLength, xmlelement, mode);    
+        XMLPortParamLoadOnly(BoxCollisionShape, "height", setHeight, xmlelement, mode);
+        XMLPortParamLoadOnly(BoxCollisionShape, "length", setLength, xmlelement, mode);
     }
 
Index: code/branches/presentation2/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 6388)
@@ -66,5 +66,5 @@
 
         XMLPortParam(ConeCollisionShape, "radius", setRadius, getRadius, xmlelement, mode);
-        XMLPortParam(ConeCollisionShape, "height", setHeight, getHeight, xmlelement, mode);    
+        XMLPortParam(ConeCollisionShape, "height", setHeight, getHeight, xmlelement, mode);
     }
 
Index: code/branches/presentation2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 6388)
@@ -67,5 +67,5 @@
 
         XMLPortParam(PlaneCollisionShape, "normal", setNormal, getNormal, xmlelement, mode);
-        XMLPortParam(PlaneCollisionShape, "offset", setOffset, getOffset, xmlelement, mode);    
+        XMLPortParam(PlaneCollisionShape, "offset", setOffset, getOffset, xmlelement, mode);
     }
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6388)
@@ -268,5 +268,5 @@
         index = tempIndex; //!< Reset the index to the original level.
 
-        return index;        
+        return index;
     }
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6388)
@@ -71,5 +71,5 @@
     QuestGUINode::QuestGUINode(QuestGUI* gui, QuestGUINode* parent, QuestItem* item, int depth, int index)
     {
-        this->initialize();    
+        this->initialize();
 
         this->gui_ = gui;
@@ -154,5 +154,5 @@
 
         if(this->details_ == NULL) //!< If the details window was not already created.
-        {  
+        {
             std::ostringstream stream;
 
@@ -297,5 +297,5 @@
     */
     bool QuestGUINode::closeDetails(const CEGUI::EventArgs& e)
-    {        
+    {
         //CEGUI::Window* window = this->gui_->getRootWindow();
         CEGUI::Window* window = this->gui_->getWindowManager()->getWindow("orxonox/QuestGUI/Background");
Index: code/branches/presentation2/src/modules/questsystem/QuestGUINode.h
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUINode.h	(revision 6387)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUINode.h	(revision 6388)
@@ -54,5 +54,5 @@
             /**
             @brief Retreive the window of this node.
-            @return The CEGUI Window of this node. 
+            @return The CEGUI Window of this node.
             */
             inline CEGUI::Window* getWindow(void)
Index: code/branches/presentation2/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6388)
@@ -193,5 +193,5 @@
         Returns the questId of the Quest the QuestListener reacts to.
     */
-    const std::string & QuestListener::getQuestId(void)    
+    const std::string & QuestListener::getQuestId(void)
     {
         return this->quest_->getId();
Index: code/branches/presentation2/src/modules/questsystem/QuestManager.h
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestManager.h	(revision 6387)
+++ code/branches/presentation2/src/modules/questsystem/QuestManager.h	(revision 6388)
@@ -72,5 +72,5 @@
             static QuestManager& getInstance() { return Singleton<QuestManager>::getInstance(); } // tolua_export
 
-            //! Retreive the main window for the GUI. 
+            //! Retreive the main window for the GUI.
             CEGUI::Window* getQuestGUI(const std::string & guiName); // tolua_export
 
Index: code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 6388)
@@ -54,5 +54,5 @@
     void LightningGunProjectile::setMaterial(const std::string& material)
     {
-        this->materialBase_ = material;    
+        this->materialBase_ = material;
 
         BillboardProjectile::setMaterial(material + multi_cast<std::string>(this->textureIndex_));
Index: code/branches/presentation2/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- code/branches/presentation2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 6387)
+++ code/branches/presentation2/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 6388)
@@ -57,5 +57,5 @@
 
     void LightningGun::fire()
-    {        
+    {
         LightningGunProjectile* projectile = new LightningGunProjectile(this);
         projectile->setMaterial("Flares/LightningBall_");
Index: code/branches/presentation2/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/HumanController.h	(revision 6387)
+++ code/branches/presentation2/src/orxonox/controllers/HumanController.h	(revision 6388)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    class _OrxonoxExport HumanController 
+    class _OrxonoxExport HumanController
 // tolua_end
         : public Controller, public Tickable
Index: code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6388)
@@ -248,5 +248,5 @@
                     HumanController::moveFrontBack(Vector2(1, 0));
                 else
-                    HumanController::moveFrontBack(Vector2(this->acceleration_, 0)); 
+                    HumanController::moveFrontBack(Vector2(this->acceleration_, 0));
                 this->accelerating_ = false;
                 //HumanController::moveFrontBack(Vector2(clamp(this->acceleration_ + this->currentAcceleration_, 0.0f, 1.0f), 0));
Index: code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 6387)
+++ code/branches/presentation2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 6388)
@@ -177,5 +177,5 @@
         inline OverlayGroup* getOverlayGroup() const
             { return this->group_; }
-        virtual void changedOverlayGroup() 
+        virtual void changedOverlayGroup()
             { this->changedVisibility(); }
 
Index: code/branches/presentation2/src/orxonox/pickup/UsableItem.cc
===================================================================
--- code/branches/presentation2/src/orxonox/pickup/UsableItem.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/pickup/UsableItem.cc	(revision 6388)
@@ -41,5 +41,5 @@
         @param creator Pointer to the object which created this item.
     */
-    UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator) 
+    UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator)
     {
         RegisterObject(UsableItem);
Index: code/branches/presentation2/src/orxonox/sound/AmbientSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/sound/AmbientSound.cc	(revision 6388)
@@ -118,5 +118,5 @@
                 this->setSource(path);
             else
-                COUT(3) << "Sound: " << source << ": Not a valid name! Ambient sound will not change." << std::endl;       
+                COUT(3) << "Sound: " << source << ": Not a valid name! Ambient sound will not change." << std::endl;
         }
     }
@@ -134,5 +134,5 @@
         if (this->isActive())
             this->play();
-        else 
+        else
             this->stop();
     }
Index: code/branches/presentation2/src/orxonox/sound/BaseSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/BaseSound.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/sound/BaseSound.cc	(revision 6388)
@@ -177,5 +177,5 @@
             pitch = pitch > 2 ? 2 : pitch;
             pitch = pitch < 0.5 ? 0.5 : pitch;
-        }        
+        }
         this->pitch_ = pitch;
         if (alIsSource(this->audioSource_))
@@ -224,5 +224,5 @@
         if (alIsSource(this->audioSource_)) // already playing or paused
         {
-            // Set new buffer 
+            // Set new buffer
             alSourcei(this->audioSource_, AL_BUFFER, this->soundBuffer_->getBuffer());
             if (ALuint error = alGetError())
Index: code/branches/presentation2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6388)
@@ -254,5 +254,5 @@
     }
 
-    float SoundManager::getVolume(SoundType::Value type) 
+    float SoundManager::getVolume(SoundType::Value type)
     {
         if (type < 0 || type > SoundType::Effects)
@@ -261,5 +261,5 @@
     }
 
-    float SoundManager::getRealVolume(SoundType::Value type) 
+    float SoundManager::getRealVolume(SoundType::Value type)
     {
         if (type != SoundType::Music && type != SoundType::Effects)
@@ -339,5 +339,5 @@
             }
 
-            if (!this->ambientSounds_.empty()) 
+            if (!this->ambientSounds_.empty())
             {
                 this->fadeOut(ambientSounds_.front().first);
@@ -354,5 +354,5 @@
             return;
 
-        if (this->ambientSounds_.front().first == oldAmbient) 
+        if (this->ambientSounds_.front().first == oldAmbient)
         {
             this->fadeOut(oldAmbient);
Index: code/branches/presentation2/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/WorldSound.cc	(revision 6387)
+++ code/branches/presentation2/src/orxonox/sound/WorldSound.cc	(revision 6388)
@@ -110,10 +110,10 @@
     }
 
-    void WorldSound::changedActivity() 
+    void WorldSound::changedActivity()
     {
         SUPER(WorldSound, changedActivity);
         if (this->isActive())
             this->play();
-        else 
+        else
             this->stop();
     }
Index: code/branches/presentation2/src/orxonox/worldentities/MovableEntity.h
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/MovableEntity.h	(revision 6387)
+++ code/branches/presentation2/src/orxonox/worldentities/MovableEntity.h	(revision 6388)
@@ -70,8 +70,8 @@
 
             inline void setEnableCollisionDamage(bool c)
-            { 
-                this->enableCollisionDamage_ = c; 
+            {
+                this->enableCollisionDamage_ = c;
                 this->enableCollisionCallback();
-            } 
+            }
 
             inline bool getEnableCollisionDamage()
